Subject: Re: [PATCH] submodules: don't stumble over symbolic links when cloning recursively

From: Johannes Sixt <[email-masked]>
Date: Thu, 12 Jul 2012 19:12:21 +0200

Am 11.07.2012 23:08, schrieb Jens Lehmann:
> Am 11.07.2012 22:39, schrieb Johannes Sixt:
>> At this point we can be in a subdirectory of the worktree. With
>> cd_to_toplevel we move up in the directory hierarchy ("cd out"). Then a
>> relative $gitdir or $sm_path now points to the wrong directory. No?
> 
> Nope, "git submodule" will refuse to run in anything but the root of
> the worktree. So we already are at the toplevel and use "cd_to_toplevel"
> only to resolve any symlinks present in $PWD. Looks like a comment
> explaining that above those lines would be a good idea ... will add one.

Ah, OK. I missed the lack of SUBDIRECTORY_OK=Yes, but noticed a few
cd_to_toplevel sprinkled throughout the script, so I thought it was OK
to be in a subdirectory.

-- Hannes